#!/usr/bin/env python
from os.path import expanduser, join
from datetime import timedelta
import numpy as np
import os

# data area
# latN = 35
# latS = -35
# lonW = -100
# lonE = 45

in_data = "/home/ws/he7273/phd_all/data/coll_oper/jjaso2021.nc"
in_wts = "/home/ws/he7273/phd_all/data/coll_oper/jjaso2021.json"

circles_file = "/home/ws/he7273/phd_all/data/aew/circles.nc"
fig_dir = '/home/ws/he7273/phd_all/data/vortices/figs'

# plot_dir = '/home/ws/he7273/phd_all/data/coll_oper/' # '/project/meteo/w2w/C3/fischer/belanger/plots/' # join('/home/ws/he7273/phd_all/data/aew/plots/') # '/project/meteo/w2w/C3/fischer/belanger/plots/'

field = 'rv'
bpf = False

fig_dir = fig_dir + '_' + ('bpf' if bpf else 'no_bpf') + '_' + field + '/'
try:
    os.makedirs(fig_dir)
except:
    print("Failed to create dir.")

levels = [700, 850]  # 700 hPa
u_dim = 'u'
v_dim = 'v'

base_threshold = {'cv': 3e-5, 'cva': 1e-5, 'rv': 3e-5}

# time of interest, if None all
# june-oct is AEW season

start_date = '2021-08-27T00:00'  # '2022-08-01T00:00' # None # '2008-08-01T00:00' #  # '2008-08-01T00:00'
end_date = '2021-08-28T10:00'  # '2022-08-15T00:00'  # None # '2008-08-15T00:00' # None # '2008-08-03T00:00'

radius = 500000  # 500 km
prominence_radius = 400000  # 300 km

## TODO CV INSTEAD
